import { FoundationTheme } from '../types/foundationTheme';
import { AllColorKeyType, AllColors } from './AllColors';

export const getGenomeColor = (
    theme: FoundationTheme.Theme,
    colorName: AllColorKeyType,
    forceMode?: 'light' | 'dark',
) => {
    const mode = (forceMode || theme?.palette?.mode) ?? 'light';
    const colors = theme?.genomeColors;
    let colorValue = '';
    if (colors) {
        colorValue = colors[colorName]?.[mode];
    } else {
        const colorObj = AllColors[colorName];
        colorValue = colorObj?.[mode];
    }
    if (colorValue) {
        return colorValue;
    } else {
        console.error('No color found for colorName = ' + colorName);
        return '#ggg';
    }
};
